
import de.simflex.gui.windows.SfxHtmlPanel;
import de.simflex.units.DefaultSource;
import de.simflex.util.attribute.Attribute;

public class Source extends DefaultSource {
	
    public static Attribute[] attribute = {
        new Attribute( "vrml", "vrmlFile", "Basic", String.class , Attribute.WRITABLE )
    };

    public Source( ){
        super( );
        setVrmlFile( "Quelle2.wrl" );
    }

    public String getVrmlFile( ){
    	return vrmlFile;
    }

    public void setVrmlFile( String n ){
    	vrmlFile = n;
        notifyShapeChanged();
    }
    

    public static String description( ){
    	return "The <b>Source</b> " +
    	       "generates TemporaryUnits. " + 
    	       "<br><br>" +
    	       "See also: " + SfxHtmlPanel.addDocHyperlink( Source.class );
    }
}